org.apache.synapse.commons.throttle.core.internal

## Class HazelCastBasedThrottleServiceComponent

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.internal.HazelCastBasedThrottleServiceComponent

-     public class HazelCastBasedThrottleServiceComponent
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HazelCastBasedThrottleServiceComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `activate(org.osgi.service.component.ComponentContext context)`
    `protected void` | `deactivate(org.osgi.service.component.ComponentContext ctx)`
    `protected void` | `setHazelcastInstance(com.hazelcast.core.HazelcastInstance hazelcastInstance)` Access Hazelcast Instance, which is exposed as an OSGI service.
    `protected void` | `unsetHazelcastInstance(com.hazelcast.core.HazelcastInstance hazelcastInstance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HazelCastBasedThrottleServiceComponent

          public HazelCastBasedThrottleServiceComponent()

  - ### Method Detail

    - #### activate

          protected void activate(org.osgi.service.component.ComponentContext context)

    - #### deactivate

          protected void deactivate(org.osgi.service.component.ComponentContext ctx)

    - #### setHazelcastInstance

          protected void setHazelcastInstance(com.hazelcast.core.HazelcastInstance hazelcastInstance)

      Access Hazelcast Instance, which is exposed as an OSGI service.
      Parameters:
        `hazelcastInstance` - hazelcastInstance found from the OSGI service

    - #### unsetHazelcastInstance

          protected void unsetHazelcastInstance(com.hazelcast.core.HazelcastInstance hazelcastInstance)

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.